summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHenning Schild <henning@hennsch.de>2020-07-17 20:11:47 +0200
committerLars Wendler <polynomial-c@gentoo.org>2020-07-28 09:04:43 +0200
commit3f90dca0330c08f9f363dfdbd229487f0b2013ee (patch)
tree08bcc7cc7c9c417f6a65ea6d225b9e5a4e38107c
parentdev-util/bats: add new proxy maintainer (diff)
downloadgentoo-3f90dca0330c08f9f363dfdbd229487f0b2013ee.tar.gz
gentoo-3f90dca0330c08f9f363dfdbd229487f0b2013ee.tar.bz2
gentoo-3f90dca0330c08f9f363dfdbd229487f0b2013ee.zip
dev-util/bats: bump to 1.2.1
The project has been forked and now internally called "bats-core", let us keep the original name for now. Signed-off-by: Henning Schild <henning@hennsch.de> Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--dev-util/bats/Manifest1
-rw-r--r--dev-util/bats/bats-1.2.1.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-util/bats/Manifest b/dev-util/bats/Manifest
index 8b1ae0df3c5..ee8dbe8c016 100644
--- a/dev-util/bats/Manifest
+++ b/dev-util/bats/Manifest
@@ -1,2 +1,3 @@
DIST bats-0.4.0.tar.gz 17258 BLAKE2B e43b29a413194e697c25a3f1dd3dc72a23ab9444e48bbe04434f8d6d48ff754ef1c12a1e1ab936bed8389b8fe970799cca13be932f1852c643a529babdb43420 SHA512 83c6c0e3ceec149708a8db5d33e95cc84852d8189498c22131c00f4288a6c870f9d522bae9230157f442338dc101e1468451d78dfa274afb83a6f0dd614c8bdb
DIST bats-0.4.0_p20170219.tar.gz 18776 BLAKE2B 994649547424ee2e0859e7a82f9d46266645c6fc5cc3f47313d8780c3f81755b77d0109ad397c77381d04ba30708536acdacd0f158dc000cca9df23e25558653 SHA512 dc0e185b09dab5cc026ec39a2b15485751f038a6bab2e1089e55ea7e2913c0b99262edb54014300a25e0e3b6cad7ca61b4068f6ab328adaa61878dbb8efdf450
+DIST bats-1.2.1.tar.gz 62685 BLAKE2B 7ac54c8955375571edf7b303dfe9228a384ca5ec06986b9ac3c368e5b855456b2a3291cb3231f963dcd9c1bd5178f06fcbc8c81bdeee82b659561de072cccba9 SHA512 632345e6d83ed930dab23abc03e4797769063bb049ae1bb99e3102dc1e93e5111144ddc61615d05962f7b5bbf72d90ce19a324faf670a3d6e4ce7ab508b0db29
diff --git a/dev-util/bats/bats-1.2.1.ebuild b/dev-util/bats/bats-1.2.1.ebuild
new file mode 100644
index 00000000000..0ab0773b5e9
--- /dev/null
+++ b/dev-util/bats/bats-1.2.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="bats-core"
+DESCRIPTION="Bats-core: Bash Automated Testing System"
+HOMEPAGE="https://github.com/bats-core/bats-core/"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+
+DEPEND="app-shells/bash:*"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_test() {
+ bin/bats --formatter tap test || die "Tests failed"
+}
+
+src_install() {
+ exeinto /usr/libexec/${MY_PN}
+ doexe libexec/${MY_PN}/*
+ exeinto /usr/lib/${MY_PN}
+ doexe lib/${MY_PN}/*
+ dobin bin/${PN}
+
+ dodoc README.md
+ doman man/${PN}.1 man/${PN}.7
+}